"use strict";

var _interopRequireWildcard = require("reshow-runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("reshow-runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("reshow-runtime/helpers/extends"));

var _defineProperty2 = _interopRequireDefault(require("reshow-runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("reshow-runtime/helpers/objectWithoutProperties"));

var _classCallCheck2 = _interopRequireDefault(require("reshow-runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("reshow-runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("reshow-runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("reshow-runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("reshow-runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _reactAtomicMolecule = require("react-atomic-molecule");

var _getObjectValue = _interopRequireDefault(require("get-object-value"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var _ref =
/*#__PURE__*/
_react["default"].createElement(_reactAtomicMolecule.SemanticUI, null, " / ");

var Breakcrumb =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2["default"])(Breakcrumb, _Component);

  function Breakcrumb() {
    (0, _classCallCheck2["default"])(this, Breakcrumb);
    return (0, _possibleConstructorReturn2["default"])(this, (0, _getPrototypeOf2["default"])(Breakcrumb).apply(this, arguments));
  }

  (0, _createClass2["default"])(Breakcrumb, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          className = _this$props.className,
          children = _this$props.children,
          divider = _this$props.divider,
          dividerStyle = _this$props.dividerStyle,
          style = _this$props.style,
          reset = (0, _objectWithoutProperties2["default"])(_this$props, ["className", "children", "divider", "dividerStyle", "style"]);
      var itemList = [];
      var thisDivider;

      if (_react["default"].isValidElement(divider)) {
        thisDivider = divider;
      } else {
        thisDivider = _ref;
      }

      _react["default"].Children.map(children, function (node, k) {
        if (!node) {
          return;
        } else if (!_react["default"].isValidElement(node)) {
          node = _react["default"].createElement(_reactAtomicMolecule.SemanticUI, null, node);
        }

        node = _react["default"].cloneElement(node, {
          key: k,
          className: (0, _reactAtomicMolecule.mixClass)((0, _getObjectValue["default"])(node, ['props', 'className']), 'section')
        });
        itemList.push(node);
        node = _react["default"].cloneElement(thisDivider, {
          key: k + '-div',
          className: (0, _reactAtomicMolecule.mixClass)(thisDivider.props.className, 'divider'),
          style: _objectSpread({}, thisDivider.props.style, {}, dividerStyle)
        });
        itemList.push(node);
      });

      if (itemList.length) {
        itemList.pop();
      }

      return _react["default"].createElement(_reactAtomicMolecule.SemanticUI, (0, _extends2["default"])({}, reset, {
        style: _objectSpread({}, Styles.container, {}, style),
        className: (0, _reactAtomicMolecule.mixClass)('breadcrumb', className)
      }), itemList);
    }
  }]);
  return Breakcrumb;
}(_react.Component);

var _default = Breakcrumb;
exports["default"] = _default;
var Styles = {
  container: {
    lineHeight: 1.8
  }
};
module.exports = exports.default;