import _extends from "reshow-runtime/es/helpers/extends";
import _defineProperty from "reshow-runtime/es/helpers/defineProperty";
import _objectWithoutProperties from "reshow-runtime/es/helpers/objectWithoutProperties";
import _classCallCheck from "reshow-runtime/es/helpers/classCallCheck";
import _createClass from "reshow-runtime/es/helpers/createClass";
import _possibleConstructorReturn from "reshow-runtime/es/helpers/possibleConstructorReturn";
import _getPrototypeOf from "reshow-runtime/es/helpers/getPrototypeOf";
import _inherits from "reshow-runtime/es/helpers/inherits";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import React, { Component } from 'react';
import { mixClass, SemanticUI } from 'react-atomic-molecule';
import get from 'get-object-value';

var _ref =
/*#__PURE__*/
React.createElement(SemanticUI, null, " / ");

var Breakcrumb =
/*#__PURE__*/
function (_Component) {
  _inherits(Breakcrumb, _Component);

  function Breakcrumb() {
    _classCallCheck(this, Breakcrumb);

    return _possibleConstructorReturn(this, _getPrototypeOf(Breakcrumb).apply(this, arguments));
  }

  _createClass(Breakcrumb, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          className = _this$props.className,
          children = _this$props.children,
          divider = _this$props.divider,
          dividerStyle = _this$props.dividerStyle,
          style = _this$props.style,
          reset = _objectWithoutProperties(_this$props, ["className", "children", "divider", "dividerStyle", "style"]);

      var itemList = [];
      var thisDivider;

      if (React.isValidElement(divider)) {
        thisDivider = divider;
      } else {
        thisDivider = _ref;
      }

      React.Children.map(children, function (node, k) {
        if (!node) {
          return;
        } else if (!React.isValidElement(node)) {
          node = React.createElement(SemanticUI, null, node);
        }

        node = React.cloneElement(node, {
          key: k,
          className: mixClass(get(node, ['props', 'className']), 'section')
        });
        itemList.push(node);
        node = React.cloneElement(thisDivider, {
          key: k + '-div',
          className: mixClass(thisDivider.props.className, 'divider'),
          style: _objectSpread({}, thisDivider.props.style, {}, dividerStyle)
        });
        itemList.push(node);
      });

      if (itemList.length) {
        itemList.pop();
      }

      return React.createElement(SemanticUI, _extends({}, reset, {
        style: _objectSpread({}, Styles.container, {}, style),
        className: mixClass('breadcrumb', className)
      }), itemList);
    }
  }]);

  return Breakcrumb;
}(Component);

export default Breakcrumb;
var Styles = {
  container: {
    lineHeight: 1.8
  }
};